## python-mechanicalsoup 0.10.0

=== requirements.txt ===
requests >= 2.0
beautifulsoup4
six >= 1.4
lxml

=== tests/requirements.txt ===
pytest
pytest-cov
pytest-flake8
pytest-mock
requests_mock

## python-mechanicalsoup 0.6.0

=== debian/changelog ===
python-mechanicalsoup (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #849475)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 27 Dec 2016 17:47:39 +0000

=== debian/control ===
Source: python-mechanicalsoup
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-bs4,
               python-requests (>= 2.0),
               python-setuptools,
               python-six (>= 1.4),
               python3-all,
               python3-bs4,
               python3-requests (>= 2.0),
               python3-setuptools,
               python3-six (>= 1.4)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mechanicalsoup.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-mechanicalsoup.git
Homepage: https://github.com/hickford/MechanicalSoup
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-mechanicalsoup
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: library for automating interaction with websites (Python 2)
 A Python library for automating interaction with websites. MechanicalSoup
 automatically stores and sends cookies, follows redirects, and can follow
 links and submit forms. It doesn't do Javascript.
 .
 MechanicalSoup provides a similar API to the Mechanize library using Requests
 (for http sessions) and BeautifulSoup (for document navigation).
 .
 This package provides the library for Python 2.

Package: python3-mechanicalsoup
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: library for automating interaction with websites (Python 3)
 A Python library for automating interaction with websites. MechanicalSoup
 automatically stores and sends cookies, follows redirects, and can follow
 links and submit forms. It doesn't do Javascript.
 .
 MechanicalSoup provides a similar API to the Mechanize library using Requests
 (for http sessions) and BeautifulSoup (for document navigation).
 .
 This package provides the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=mechanicalsoup

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/MechanicalSoup/MechanicalSoup-@ANY_VERSION@@ARCHIVE_EXT@

## python-mechanicalsoup 0.7.0

=== debian/changelog ===
python-mechanicalsoup (0.7.0-1) unstable; urgency=medium

  * Swith from git-dpm to gbp
    - Drop git-dpm configuration
    - Add gbp configuration
  * Fix typo in watch regex
  * Fixup Vcs-Browser URI
  * New upstream version 0.7.0
  * Bump minimum Py3 version to 3.3
  * Exclude egg-info directory via extend-diff-ignore
  * Add DEP-8 tests, drop superfluous Testsuite field

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 16 May 2017 14:47:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -17,11 +16,11 @@
                python3-setuptools,
                python3-six (>= 1.4)
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mechanicalsoup.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-mechanicalsoup.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-mechanicalsoup.git
 Homepage: https://github.com/hickford/MechanicalSoup
 X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.3
 
 Package: python-mechanicalsoup
 Architecture: all

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python-all,
         python-mechanicalsoup,
         python-pytest,
         python-requests-mock

Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-mechanicalsoup,
         python3-pytest,
         python3-requests-mock

## python-mechanicalsoup 0.10.0

=== debian/changelog ===
python-mechanicalsoup (0.10.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

  [ Andrey Rahmatullin ]
  * Add patches from Ubuntu to fix test failures (Closes: #922833).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 16 Aug 2019 00:21:39 +0500

python-mechanicalsoup (0.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Gianfranco Costamagna ]
  * Team upload
  * Add upstream patch to fix autopkgtest regression due to httpbin changing its html code
    (Closes: #901865)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jun 2018 19:06:49 +0200

python-mechanicalsoup (0.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ghislain Antony Vaillant ]
  * New upstream version 0.10.0 (Closes: #883366)
  * Refresh the patch queue
  * Update the copyright years
  * Drop the get-orig-source target
  * Normalize the package descriptions
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Explicitly disable testing at build time.
    Reason: Tests require network access
  * Add pytest-mock to the autopkgtest Depends

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Feb 2018 16:18:55 +0000

python-mechanicalsoup (0.8.0-1) unstable; urgency=medium

  * Add recommended get-orig-source target
  * New upstream version 0.8.0
  * Bump the minimum Python versions to 2.7 and 3.4
  * Fixup the Vcs-Browser URI
  * Bump the standards version to 4.1.1
  * Avoid dependency on pytest-runner
    - New patch No-pytest-runner.patch
  * Move extend-diff-ignore to d/s/options

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 10 Oct 2017 14:27:05 +0100

=== debian/control ===
Source: python-mechanicalsoup
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-bs4,
               python3-requests (>= 2.0),
               python3-setuptools,
               python3-six (>= 1.4)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mechanicalsoup
Vcs-Git: https://salsa.debian.org/python-team/modules/python-mechanicalsoup.git
Homepage: https://github.com/hickford/MechanicalSoup

Package: python3-mechanicalsoup
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: library for automating interaction with websites (Python 3)
 A Python library for automating interaction with websites. MechanicalSoup
 automatically stores and sends cookies, follows redirects, and can follow
 links and submit forms. It doesn't do Javascript.
 .
 MechanicalSoup provides a similar API to the Mechanize library using Requests
 (for http sessions) and BeautifulSoup (for document navigation).
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=mechanicalsoup

# Tests require network access.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-mechanicalsoup,
         python3-pytest,
         python3-pytest-mock,
         python3-requests-mock

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/MechanicalSoup/MechanicalSoup@ANY_VERSION@@ARCHIVE_EXT@

## python-mechanicalsoup 1.3.0

=== requirements.txt ===
requests >= 2.22.0
beautifulsoup4 >= 4.7
lxml

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

.PHONY: apidoc
# Create a list of modules with the proper .. automodule:: directive.
# Use --no-toc to avoid creating a list containing only one module.
apidoc:
	sphinx-apidoc --no-toc -o . ../mechanicalsoup

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MechanicalSoup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MechanicalSoup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MechanicalSoup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MechanicalSoup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tests/requirements.txt ===
flake8 < 5.0.0
pytest >= 3.1.0
pytest-cov
pytest-flake8
pytest-httpbin
pytest-mock
requests_mock >= 1.3.0
werkzeug < 2.1.0

=== debian/changelog ===
python-mechanicalsoup (1.3.0-3) unstable; urgency=medium

  * Fix d/watch for new PyPi archive naming policy

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Jun 2025 16:39:17 +0200

python-mechanicalsoup (1.3.0-2) unstable; urgency=medium

  * Team Upload
  * Allow autopkgtest to print '"POST /post HTTP/1.1" 200' to stderr

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Jan 2024 19:08:18 +0100

python-mechanicalsoup (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0 (Closes: #1041814, #1040429)
  * add myself as uploader
  * remove old dependency on python3-six
  * set Rules-Requires-Root: no
  * use new dh-sequence-python3
  * bump Standards-Version to 4.6.2, no further change needed
  * tests:
    * delete old patches, not needed anymore
    * autopkgtest needs python3-pytest-httpbin
    * disable tests failing likely due to changes on http://httpbin.org/:
      * new_control
      * get_request_kwargs
      * submit_online
      * submit_set

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jan 2024 11:24:14 +0100

python-mechanicalsoup (0.10.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-requests and
      python3-six.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:21:49 +0100

python-mechanicalsoup (0.10.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:49:21 +0100

python-mechanicalsoup (0.10.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Fix compatibility with pytest 6 (Closes: #979298).

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Wrap long lines in changelog entries: 0.10.0-2.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.5.0, no changes needed.

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Jan 2021 18:24:31 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/MechanicalSoup/mechanicalsoup@ANY_VERSION@@ARCHIVE_EXT@

## python-mechanicalsoup 1.4.0

=== requirements.txt ===
requests >= 2.22.0
beautifulsoup4 >= 4.7
lxml
certifi>=2022.12.7  # not directly required (indirect dependency from requests),
                    # pinned by Snyk to avoid a vulnerability
urllib3>=2.2.2 # not directly required, pinned by Snyk to avoid a vulnerability

=== tests/requirements.txt ===
pytest >= 3.1.0
pytest-cov
pytest-flake8 >= 1.3.0
pytest-httpbin
pytest-mock
requests_mock >= 1.3.0
werkzeug >= 3.0.3
certifi>=2022.12.7 # not directly required, pinned by Snyk to avoid a vulnerability
urllib3>=2.2.2 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
python-mechanicalsoup (1.4.0-0ubuntu2) questing; urgency=medium

  * Mark test failing with libxml 2.14.x.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Jun 2025 11:40:35 +0200

python-mechanicalsoup (1.4.0-0ubuntu1) questing; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Jun 2025 12:10:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: python-mechanicalsoup
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+  Ghislain Antony Vaillant <ghisvail@gmail.com>,
+  Alexandre Detiste <tchet@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-bs4,
-               python3-requests (>= 2.0),
+               python3-requests,
                python3-setuptools,
-               python3-six (>= 1.4)
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mechanicalsoup
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-mechanicalsoup.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mechanicalsoup
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-mechanicalsoup.git
 Homepage: https://github.com/hickford/MechanicalSoup
 
 Package: python3-mechanicalsoup

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v -k 'not submit_online and not get_request_kwargs and not submit_set and not new_control'
 ; done
Restrictions: allow-stderr
Depends: python3-all,
         python3-mechanicalsoup,
         python3-pytest,
         python3-pytest-httpbin,
         python3-pytest-mock,
         python3-requests-mock
